com.google.gwt.typedarrays.shared

## Interface ArrayBufferView

All Known Subinterfaces:
  DataView, Float32Array, Float64Array, Int16Array, Int32Array, Int8Array, Uint16Array, Uint32Array, Uint8Array, Uint8ClampedArray

All Known Implementing Classes:
  ArrayBufferViewImpl, ArrayBufferViewNative, DataViewImpl, DataViewNative, DataViewNativeEmul, Float32ArrayImpl, Float32ArrayNative, Float64ArrayImpl, Float64ArrayNative, Int16ArrayImpl, Int16ArrayNative, Int32ArrayImpl, Int32ArrayNative, Int8ArrayImpl, Int8ArrayNative, Uint16ArrayImpl, Uint16ArrayNative, Uint32ArrayImpl, Uint32ArrayNative, Uint8ArrayImpl, Uint8ArrayNative, Uint8ClampedArrayImpl, Uint8ClampedArrayNativeEmul

    public interface ArrayBufferView

Common information across all types of views of `ArrayBuffer`s. "http://www.khronos.org/registry/typedarray/specs/latest/#6"

### Method Summary

All Methods Instance Methods Abstract Methods
`ArrayBuffer` `buffer()` Get the underlying `ArrayBuffer`.
`int` `byteLength()` Get the length of this view in bytes.
`int` `byteOffset()` Get the offset from the beginning of the underlying `ArrayBuffer`.

### Method Detail

#### buffer

    ArrayBuffer buffer()

Get the underlying `ArrayBuffer`.

Returns:
  the `ArrayBuffer` instance backing this view

#### byteLength

    int byteLength()

Get the length of this view in bytes.

Returns:
  number of bytes in this view

#### byteOffset

    int byteOffset()

Get the offset from the beginning of the underlying `ArrayBuffer`.

Returns:
  0-based offset from the beginning of `buffer()`